<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="60mm"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_finish"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginRight="10mm"
            android:background="@drawable/shape_blue_btn"
            android:paddingHorizontal="40mm"
            android:paddingVertical="5mm"
            android:text="完成"
            android:visibility="gone"
            android:textColor="@color/white" />

        <LinearLayout
            android:id="@+id/ll_check"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="right">

            <TextView
                android:id="@+id/tv_refuse"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10mm"
                android:background="@drawable/shape_red_btn"
                android:paddingHorizontal="20mm"
                android:paddingVertical="5mm"
                android:text="拒绝"
                android:textColor="@color/white" />

            <TextView
                android:id="@+id/tv_agree"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10mm"
                android:background="@drawable/shape_green_btn"
                android:paddingHorizontal="20mm"
                android:paddingVertical="5mm"
                android:text="同意"
                android:textColor="@color/white" />

        </LinearLayout>
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/ll_bottom"
            android:orientation="vertical"
            android:paddingBottom="20mm">

            <View style="@style/ViewX" />


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm">

                <View
                    android:layout_width="8mm"
                    android:layout_height="18mm"
                    android:background="@color/red_btn_bg" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:text="基本信息"
                    android:textSize="15sp" />
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/ll_code"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="订单编号"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/ll_status"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="订单状态"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>


            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="接单部门"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_receive_dep"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="下单人"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_order_people"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="下单部门"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_order_dep"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="下单时间"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_order_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/white"
                android:gravity="center"
                android:paddingHorizontal="20mm"
                android:paddingVertical="15mm">

                <TextView
                    android:id="@+id/tv_price_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="金额（元）"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="1mm"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingHorizontal="20mm"
                android:paddingVertical="10mm">


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="备注"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_remark"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="12sp" />
            </LinearLayout>

            <View style="@style/ViewX" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm">

                <View
                    android:layout_width="8mm"
                    android:layout_height="18mm"
                    android:background="@color/red_btn_bg" />

                <TextView
                    android:id="@+id/tv_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:text="设备明细"
                    android:textSize="15sp" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_data"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
